Package org.apache.felix.http.base.internal.runtime

# Class DefaultServletContextHelperInfo

java.lang.Object
org.apache.felix.http.base.internal.runtime.AbstractInfo<org.osgi.service.servlet.context.ServletContextHelper>
org.apache.felix.http.base.internal.runtime.ServletContextHelperInfo
org.apache.felix.http.base.internal.runtime.DefaultServletContextHelperInfo

All Implemented Interfaces:
  `Comparable<AbstractInfo<org.osgi.service.servlet.context.ServletContextHelper>>`

public class DefaultServletContextHelperInfo extends ServletContextHelperInfo
Info for the default context

## Constructor Summary

Constructors
Constructor
Description
`DefaultServletContextHelperInfo()`

## Method Summary

Modifier and Type
Method
Description
`org.osgi.service.servlet.context.ServletContextHelper`
`getService(org.osgi.framework.BundleContext bundleContext)`
Get a service object
`void`
`ungetService(org.osgi.framework.BundleContext bundleContext, org.osgi.service.servlet.context.ServletContextHelper service)`
Unget the service object

### Methods inherited from class org.apache.felix.http.base.internal.runtime.ServletContextHelperInfo

`getInitParameters, getName, getPath, getServiceType, getType, isSame, isValid, match`

### Methods inherited from class org.apache.felix.http.base.internal.runtime.AbstractInfo

`compareTo, equals, getBooleanProperty, getInitParams, getRanking, getServiceId, getServiceReference, getStringArrayProperty, getStringProperty, getTarget, hashCode, isEmpty, isEmpty`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultServletContextHelperInfo

public DefaultServletContextHelperInfo()

## Method Details

### getService

public org.osgi.service.servlet.context.ServletContextHelper getService(org.osgi.framework.BundleContext bundleContext)
Description copied from class: `AbstractInfo`
Get a service object

Overrides:
  `getService` in class `AbstractInfo<org.osgi.service.servlet.context.ServletContextHelper>`
Parameters:
  `bundleContext` - context
Returns:
  The object or `null`

### ungetService

public void ungetService(org.osgi.framework.BundleContext bundleContext, org.osgi.service.servlet.context.ServletContextHelper service)
Description copied from class: `AbstractInfo`
Unget the service object

Overrides:
  `ungetService` in class `AbstractInfo<org.osgi.service.servlet.context.ServletContextHelper>`
Parameters:
  `bundleContext` - The bundle context
  `service` - The service object